Sample Application video recording download script:

1. Request is called to get the media token in order to request permission for video access, also it returns the address of a relevant media server that the device is connected to.
   It is required to find the media server that is currently connected to the dashcam.

2. The complete video URL path can be created using the following structure
https://<media-address>/rec/{imei}/{cameraId}/{mediaToken}/{startTime}/{videoDuration}/{qualityLevel}/rec.mp4

3. After playing the video, it's available for download from the cloud using the url below:
https://<media-address>/download/{imei}/{mediaToken}/{imei}_{cameraId}_{startTime}_{videoDuration}_{qualityLevel}.mp4

Where:
media-address - Media server
imei - serial number for device
cameraId - 1 or 2 for front and back cameras
mediaToken - session to retrieve the video from media server
startTime - unix time in seconds
videoDuration - duration time in seconds
qualityLevel - 'hq' or 'lq' for High or Low quality
